MediaWiki:Movepage-summary is not forced to content language
Open, Needs TriagePublic

Description

MediaWiki:Movepage-summary loads if uselang is set to en, but not if set to other languages.

In general if a summary subpage (example: /es, /fr, etc.) does not exist the english text (or the autotranslate template if used) should be rendered.

Example:

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 31 2017, 6:57 PM

Summary messages of special pages are always shown in content language.

If Wikimedia Commons want the user language shown, the $wgForceUIMsgAsContentMsg setting for wikimedia commons must be set. Than this task is a Site Request.

Current config shown under https://noc.wikimedia.org/conf/highlight.php?file=InitialiseSettings.php - Search for wgForceUIMsgAsContentMsg

See also T177306

matmarex renamed this task from MediaWiki:Movepage-summary does not load correctly to MediaWiki:Movepage-summary is not forced to content language.Jan 1 2018, 6:43 PM

Summary messages of special pages are always shown in content language.

If Wikimedia Commons want the user language shown, the $wgForceUIMsgAsContentMsg setting for wikimedia commons must be set. Than this task is a Site Request.

Current config shown under https://noc.wikimedia.org/conf/highlight.php?file=InitialiseSettings.php - Search for wgForceUIMsgAsContentMsg

See also T177306

Okay, then mw page should be added to wgForceUIMsgAsContentMsg :) Thanks!

Change 402040 had a related patch set uploaded (by Steinsplitter; owner: Steinsplitter):
[operations/mediawiki-config@master] Adding Movepage-summary to wgForceUIMsgAsContentMsg to allow onwiki localizaion of a commosn specific notice. All changes have been made onwiki yet.

https://gerrit.wikimedia.org/r/402040

Change 402040 merged by jenkins-bot:
[operations/mediawiki-config@master] Adding Movepage-summary to wgForceUIMsgAsContentMsg to allow onwiki localizaion of a commosn specific notice. All changes have been made onwiki yet.

https://gerrit.wikimedia.org/r/402040

Mentioned in SAL (#wikimedia-operations) [2018-01-04T14:24:24Z] <niharika29@tin> Synchronized wmf-config/InitialiseSettings.php: Adding Movepage-summary to wgForceUIMsgAsContentMsg T183848 (duration: 01m 02s)

Steinsplitter closed this task as Resolved.Jan 4 2018, 2:26 PM
Steinsplitter claimed this task.
Perhelion reopened this task as Open.Jan 4 2018, 5:30 PM
Perhelion added a subscriber: Perhelion.EditedJan 4 2018, 5:33 PM

After short test with Steinsplitter, the patch unfortunately still doesn't work.

It seems I misread your first post, wgForceUIMsgAsContentMsg is for the opposite use: When a usally content message is part of the array, it would always shown as user message.
There seems no way to load a message always as content language (or says fallback to the mediawiki page as content language - see T57473 or T3495).